
import sys
if sys.version_info >= (3, 8):
    from typing import Protocol
else:
    from typing_extensions import Protocol

import jneqsim.neqsim.fluidMechanics.flowNode.fluidBoundary.heatMassTransferCalc
import jneqsim.neqsim.fluidMechanics.flowNode.fluidBoundary.heatMassTransferCalc.finiteVolumeBoundary.fluidBoundaryNode
import jneqsim.neqsim.fluidMechanics.flowNode.fluidBoundary.heatMassTransferCalc.finiteVolumeBoundary.fluidBoundarySystem.fluidBoundaryNonReactive
import jneqsim.neqsim.fluidMechanics.flowNode.fluidBoundary.heatMassTransferCalc.finiteVolumeBoundary.fluidBoundarySystem.fluidBoundarySystemReactive
import typing



class FluidBoundarySystemInterface:
    def addBoundary(self, fluidBoundaryInterface: jneqsim.neqsim.fluidMechanics.flowNode.fluidBoundary.heatMassTransferCalc.FluidBoundaryInterface) -> None: ...
    def createSystem(self) -> None: ...
    def getFilmThickness(self) -> float: ...
    def getFluidBoundary(self) -> jneqsim.neqsim.fluidMechanics.flowNode.fluidBoundary.heatMassTransferCalc.FluidBoundaryInterface: ...
    def getNode(self, int: int) -> jneqsim.neqsim.fluidMechanics.flowNode.fluidBoundary.heatMassTransferCalc.finiteVolumeBoundary.fluidBoundaryNode.FluidBoundaryNodeInterface: ...
    def getNodeLength(self) -> float: ...
    def getNumberOfNodes(self) -> int: ...
    def setFilmThickness(self, double: float) -> None: ...
    def setNumberOfNodes(self, int: int) -> None: ...
    def solve(self) -> None: ...

class FluidBoundarySystem(FluidBoundarySystemInterface):
    @typing.overload
    def __init__(self): ...
    @typing.overload
    def __init__(self, fluidBoundaryInterface: jneqsim.neqsim.fluidMechanics.flowNode.fluidBoundary.heatMassTransferCalc.FluidBoundaryInterface): ...
    def addBoundary(self, fluidBoundaryInterface: jneqsim.neqsim.fluidMechanics.flowNode.fluidBoundary.heatMassTransferCalc.FluidBoundaryInterface) -> None: ...
    def createSystem(self) -> None: ...
    def getFilmThickness(self) -> float: ...
    def getFluidBoundary(self) -> jneqsim.neqsim.fluidMechanics.flowNode.fluidBoundary.heatMassTransferCalc.FluidBoundaryInterface: ...
    def getNode(self, int: int) -> jneqsim.neqsim.fluidMechanics.flowNode.fluidBoundary.heatMassTransferCalc.finiteVolumeBoundary.fluidBoundaryNode.FluidBoundaryNodeInterface: ...
    def getNodeLength(self) -> float: ...
    def getNumberOfNodes(self) -> int: ...
    def setFilmThickness(self, double: float) -> None: ...
    def setNumberOfNodes(self, int: int) -> None: ...
    def solve(self) -> None: ...


class __module_protocol__(Protocol):
    # A module protocol which reflects the result of ``jp.JPackage("jneqsim.neqsim.fluidMechanics.flowNode.fluidBoundary.heatMassTransferCalc.finiteVolumeBoundary.fluidBoundarySystem")``.

    FluidBoundarySystem: typing.Type[FluidBoundarySystem]
    FluidBoundarySystemInterface: typing.Type[FluidBoundarySystemInterface]
    fluidBoundaryNonReactive: jneqsim.neqsim.fluidMechanics.flowNode.fluidBoundary.heatMassTransferCalc.finiteVolumeBoundary.fluidBoundarySystem.fluidBoundaryNonReactive.__module_protocol__
    fluidBoundarySystemReactive: jneqsim.neqsim.fluidMechanics.flowNode.fluidBoundary.heatMassTransferCalc.finiteVolumeBoundary.fluidBoundarySystem.fluidBoundarySystemReactive.__module_protocol__
