
import sys
if sys.version_info >= (3, 8):
    from typing import Protocol
else:
    from typing_extensions import Protocol

import jpype
import jneqsim.neqsim.fluidMechanics.flowNode
import jneqsim.neqsim.fluidMechanics.flowNode.multiPhaseNode.waxNode
import jneqsim.neqsim.fluidMechanics.flowNode.twoPhaseNode
import jneqsim.neqsim.fluidMechanics.geometryDefinitions
import jneqsim.neqsim.thermo.system
import typing



class MultiPhaseFlowNode(jneqsim.neqsim.fluidMechanics.flowNode.FlowNode):
    @typing.overload
    def __init__(self): ...
    @typing.overload
    def __init__(self, systemInterface: jneqsim.neqsim.thermo.system.SystemInterface, geometryDefinitionInterface: jneqsim.neqsim.fluidMechanics.geometryDefinitions.GeometryDefinitionInterface): ...
    def calcContactLength(self) -> float: ...
    def calcFluxes(self) -> None: ...
    def calcGasLiquidContactArea(self) -> float: ...
    def calcHydraulicDiameter(self) -> float: ...
    def calcReynoldNumber(self) -> float: ...
    def calcWallFrictionFactor(self) -> float: ...
    def clone(self) -> jneqsim.neqsim.fluidMechanics.flowNode.twoPhaseNode.TwoPhaseFlowNode: ...
    def init(self) -> None: ...
    def initFlowCalc(self) -> None: ...
    def initVelocity(self) -> float: ...
    def setFluxes(self, doubleArray: typing.Union[typing.List[float], jpype.JArray]) -> None: ...
    def update(self) -> None: ...
    def updateMolarFlow(self) -> None: ...


class __module_protocol__(Protocol):
    # A module protocol which reflects the result of ``jp.JPackage("jneqsim.neqsim.fluidMechanics.flowNode.multiPhaseNode")``.

    MultiPhaseFlowNode: typing.Type[MultiPhaseFlowNode]
    waxNode: jneqsim.neqsim.fluidMechanics.flowNode.multiPhaseNode.waxNode.__module_protocol__
