
import sys
if sys.version_info >= (3, 8):
    from typing import Protocol
else:
    from typing_extensions import Protocol

import java.lang
import java.util
import jpype
import jneqsim.neqsim.processSimulation.processEquipment
import jneqsim.neqsim.processSimulation.processEquipment.mixer
import jneqsim.neqsim.processSimulation.processEquipment.stream
import typing



class DistillationInterface(jneqsim.neqsim.processSimulation.processEquipment.ProcessEquipmentInterface):
    def equals(self, object: typing.Any) -> bool: ...
    def hashCode(self) -> int: ...
    def setNumberOfTrays(self, int: int) -> None: ...

class TrayInterface(jneqsim.neqsim.processSimulation.processEquipment.ProcessEquipmentInterface):
    def addStream(self, streamInterface: jneqsim.neqsim.processSimulation.processEquipment.stream.StreamInterface) -> None: ...
    def equals(self, object: typing.Any) -> bool: ...
    def hashCode(self) -> int: ...
    def setHeatInput(self, double: float) -> None: ...

class DistillationColumn(jneqsim.neqsim.processSimulation.processEquipment.ProcessEquipmentBaseClass, DistillationInterface):
    def __init__(self, int: int, boolean: bool, boolean2: bool): ...
    def addFeedStream(self, streamInterface: jneqsim.neqsim.processSimulation.processEquipment.stream.StreamInterface, int: int) -> None: ...
    def componentMassBalanceCheck(self, string: typing.Union[java.lang.String, str]) -> bool: ...
    def displayResult(self) -> None: ...
    def energyBalanceCheck(self) -> None: ...
    def equals(self, object: typing.Any) -> bool: ...
    def getCondenser(self) -> 'SimpleTray': ...
    def getCondenserTemperature(self) -> float: ...
    def getFeedTrayNumber(self) -> int: ...
    def getFsFactor(self) -> float: ...
    def getGasOutStream(self) -> jneqsim.neqsim.processSimulation.processEquipment.stream.StreamInterface: ...
    def getInternalDiameter(self) -> float: ...
    def getLiquidOutStream(self) -> jneqsim.neqsim.processSimulation.processEquipment.stream.StreamInterface: ...
    def getReboiler(self) -> 'SimpleTray': ...
    def getReboilerTemperature(self) -> float: ...
    def getTray(self, int: int) -> 'SimpleTray': ...
    def hashCode(self) -> int: ...
    def init(self) -> None: ...
    def isDoInitializion(self) -> bool: ...
    @staticmethod
    def main(stringArray: typing.Union[typing.List[java.lang.String], jpype.JArray]) -> None: ...
    def massBalanceCheck(self) -> bool: ...
    @typing.overload
    def run(self) -> None: ...
    @typing.overload
    def run(self, uUID: java.util.UUID) -> None: ...
    def setBottomPressure(self, double: float) -> None: ...
    def setCondenserTemperature(self, double: float) -> None: ...
    def setDoInitializion(self, boolean: bool) -> None: ...
    def setFeedTrayNumber(self, int: int) -> None: ...
    def setInternalDiameter(self, double: float) -> None: ...
    def setMaxNumberOfIterations(self, int: int) -> None: ...
    def setNumberOfTrays(self, int: int) -> None: ...
    def setReboilerTemperature(self, double: float) -> None: ...
    def setTopCondenserDuty(self, double: float) -> None: ...
    def setTopPressure(self, double: float) -> None: ...
    def solved(self) -> bool: ...

class SimpleTray(jneqsim.neqsim.processSimulation.processEquipment.mixer.Mixer, TrayInterface):
    def __init__(self, string: typing.Union[java.lang.String, str]): ...
    def TPflash(self) -> None: ...
    def calcMixStreamEnthalpy(self) -> float: ...
    def calcMixStreamEnthalpy0(self) -> float: ...
    def getGasOutStream(self) -> jneqsim.neqsim.processSimulation.processEquipment.stream.StreamInterface: ...
    def getLiquidOutStream(self) -> jneqsim.neqsim.processSimulation.processEquipment.stream.StreamInterface: ...
    def getTemperature(self) -> float: ...
    def guessTemperature(self) -> float: ...
    def init(self) -> None: ...
    @typing.overload
    def run(self) -> None: ...
    @typing.overload
    def run(self, uUID: java.util.UUID) -> None: ...
    def run2(self) -> None: ...
    def setHeatInput(self, double: float) -> None: ...
    def setPressure(self, double: float) -> None: ...
    def setTemperature(self, double: float) -> None: ...

class Condenser(SimpleTray):
    def __init__(self, string: typing.Union[java.lang.String, str]): ...
    def getDuty(self) -> float: ...
    def getGasOutStream(self) -> jneqsim.neqsim.processSimulation.processEquipment.stream.StreamInterface: ...
    def getLiquidOutStream(self) -> jneqsim.neqsim.processSimulation.processEquipment.stream.StreamInterface: ...
    def getProductOutStream(self) -> jneqsim.neqsim.processSimulation.processEquipment.stream.StreamInterface: ...
    def getRefluxRatio(self) -> float: ...
    @typing.overload
    def run(self) -> None: ...
    @typing.overload
    def run(self, uUID: java.util.UUID) -> None: ...
    def setRefluxRatio(self, double: float) -> None: ...
    def setTotalCondenser(self, boolean: bool) -> None: ...

class Reboiler(SimpleTray):
    def __init__(self, string: typing.Union[java.lang.String, str]): ...
    def getDuty(self) -> float: ...
    def getRefluxRatio(self) -> float: ...
    @typing.overload
    def run(self) -> None: ...
    @typing.overload
    def run(self, uUID: java.util.UUID) -> None: ...
    def setRefluxRatio(self, double: float) -> None: ...

class VLSolidTray(SimpleTray):
    def __init__(self, string: typing.Union[java.lang.String, str]): ...
    def calcMixStreamEnthalpy(self) -> float: ...
    def getGasOutStream(self) -> jneqsim.neqsim.processSimulation.processEquipment.stream.StreamInterface: ...
    def getLiquidOutStream(self) -> jneqsim.neqsim.processSimulation.processEquipment.stream.StreamInterface: ...
    def getTemperature(self) -> float: ...
    def init(self) -> None: ...
    @typing.overload
    def run(self) -> None: ...
    @typing.overload
    def run(self, uUID: java.util.UUID) -> None: ...
    def setHeatInput(self, double: float) -> None: ...
    def setTemperature(self, double: float) -> None: ...


class __module_protocol__(Protocol):
    # A module protocol which reflects the result of ``jp.JPackage("jneqsim.neqsim.processSimulation.processEquipment.distillation")``.

    Condenser: typing.Type[Condenser]
    DistillationColumn: typing.Type[DistillationColumn]
    DistillationInterface: typing.Type[DistillationInterface]
    Reboiler: typing.Type[Reboiler]
    SimpleTray: typing.Type[SimpleTray]
    TrayInterface: typing.Type[TrayInterface]
    VLSolidTray: typing.Type[VLSolidTray]
